List documents
Retrieves a paginated list of documents with their metadata and workflow status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Query parameters for listing documents
Optional tags this document should be containerized by. This can be an ID for your user, a project ID, or any other identifier you wish to use to group documents.
100^[a-zA-Z0-9_:-]+$Optional filters to apply to the search. Can be a JSON string or Query object.
- Option 1
- Option 2
Whether to include the content field in the response. Warning: This can make responses significantly larger.
false
Opaque cursor from a previous response's pagination.nextCursor. When present, page is ignored and results continue after the last item of the previous page. Filters, sort, order and limit must match the request that produced the cursor.
1 - 2048Number of items per page
^\d+$"10"
Sort order
asc, desc "desc"
Page number to fetch
^\d+$"1"
Field to sort by
createdAt, updatedAt "createdAt"
Filter documents by filepath. Exact match for full paths, prefix match if ending with /